### Method

# Fwupd Device remove_child

since: 1.6.2

#### Declaration [src]

    void
    fwupd_device_remove_child (
      FwupdDevice* self,
      FwupdDevice* child
    )

#### Description [src]

Removes a child device.

NOTE: You should never call this function from user code, it is for daemon use only.

Available since: 1.6.2

#### Parameters

`child`

  Type: `FwupdDevice`

  Another `FwupdDevice`.

  The data is owned by the caller of the method.